Bug 233260 - [PATCH] deskutils/nextcloudclient: Update to 2.5.1
Summary: [PATCH] deskutils/nextcloudclient: Update to 2.5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Michael Reifenberger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-16 21:31 UTC by Guido Falsi
Modified: 2019-02-07 21:51 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (mr)


Attachments
patch (4.03 KB, patch)
2018-11-16 21:31 UTC, Guido Falsi
no flags Details | Diff
Patch including upstream fix (7.55 KB, patch)
2018-11-20 16:58 UTC, Guido Falsi
no flags Details | Diff
Further upstream fix included (12.09 KB, patch)
2018-11-23 16:48 UTC, Guido Falsi
no flags Details | Diff
Update to 2.5.1 (4.48 KB, patch)
2018-12-09 08:12 UTC, Guido Falsi
madpilot: maintainer-approval? (mr)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Falsi freebsd_committer 2018-11-16 21:31:04 UTC
Created attachment 199282 [details]
patch

Hi,

I've created n update to nextcloudclient to recently released 2.5.0.

Unluckily this version strictly requires OpenSSL 1.1.0. This means it can work only on 12.0 and up or 11.2 with openssl installed from ports.

Due to this I'm just proposing this patch but at present I will not commit it even in case of timeout, since I think the maintainer should choose how to deal with this.

While updating it I made a few minor changes to please portlint.

I also changed the way DEBUG is manged. It's preferred not to expose it as an option, but to conditionally enable required flags when WITH_DEBUG is enabled.

BTW there is no compatibility layer anymore between WITH_DEBUG and the DEBUG option, so to get proper debugging code (not stripped) it is required to have extra logic anyway.
Comment 1 Guido Falsi freebsd_committer 2018-11-20 16:58:54 UTC
Created attachment 199387 [details]
Patch including upstream fix

I've updated the patch to include this upstream commit:

https://github.com/nextcloud/desktop/commit/1afaa22ddbe2fe17540cd29a96e86cffd3fd73be

It stops the client from flooding the server for "activity" request if the plugin is disabled and also in some other cases.
Comment 2 Guido Falsi freebsd_committer 2018-11-23 16:48:25 UTC
Created attachment 199486 [details]
Further upstream fix included

New patch including further upstream fix for a flood/CPU hog problem.

https://github.com/nextcloud/desktop/commit/d1b9d100b420f9b4a8678a899814302025a8371e
Comment 3 Michael Reifenberger freebsd_committer 2018-12-02 11:13:32 UTC
Hi,
I'm currently trying to test the 2.5.0 version.
After upgrading my notebook to stable/12 I'm having troubles to use
this version.
Trying to conntect to https://<myserver>/ I get an error:
  Error creating SSL Context ()...
Maybe its related that on the nextcloud server I'm using self-signed Cert's
but the RootCA ind the intermediadCA certs got added to the system-wide cert
/usr/local/share/certs/ca-root-nss.crt

How did you test?

greetings
---
mike
Comment 4 Guido Falsi freebsd_committer 2018-12-02 15:22:39 UTC
I'm actually using it on my machines with my nextcloud server(which is a VM rented in the cloud). Although I have letencrypt provided certificates there.

In the past, when I was still using owncloud, I had certs created by a custom CA and I remember owncloud client asking me if I trusted the cert.

Since the client is leveraging gnome-keyring for authentication, maybe that's where it also offloads certificate verification? Otherwise I'd suspect there is a problem with functionality to accept untrusted certs.

I'm not completely sure the nextcloud desktop client checks the store in /usr/local/share/certs/ca-root-nss.crt.

BTW I'm keeping my store in /usr/local/etc/ssl/cert.pem, concatenating the ones from /usr/local/share/certs/ca-root-nss.crt and my own ones. I think that's the actual global storage, but I can't remember the details.
Comment 5 Guido Falsi freebsd_committer 2018-12-09 08:12:09 UTC
Created attachment 199969 [details]
Update to 2.5.1

Version 2.5.1 was released. It includes fixes I merged as patches.
Comment 6 commit-hook freebsd_committer 2018-12-26 18:05:00 UTC
A commit references this bug:

Author: mr
Date: Wed Dec 26 18:04:47 UTC 2018
New revision: 488411
URL: https://svnweb.freebsd.org/changeset/ports/488411

Log:
  Add missing checks for openssl 1.1

  PR:		233260

Changes:
  head/deskutils/nextcloudclient/Makefile
Comment 7 VVD 2018-12-26 23:06:50 UTC
===>  nextcloudclient-0.0.0.20181226 Incorrect 'USES+= cmake:outsource noninja'
usage: argument [outsource] is not recognized.
*** Error code 1
Comment 8 commit-hook freebsd_committer 2018-12-27 09:54:38 UTC
A commit references this bug:

Author: mr
Date: Thu Dec 27 09:53:54 UTC 2018
New revision: 488525
URL: https://svnweb.freebsd.org/changeset/ports/488525

Log:
  cmake:outsource is now default, so delete it.

  PR:		233260
  Reported by:	vvd@unislabs.com

Changes:
  head/deskutils/nextcloudclient/Makefile
Comment 9 Michael Reifenberger freebsd_committer 2018-12-27 12:32:26 UTC
(In reply to Guido Falsi from comment #5)
Hi,
I'm still not fully satisfied with the new version:

- I'm getting no popup for unlocking the keyfile followed by an dump:
  -> Workaround: starting chrome first

- On successful startup (if starting chrome beforehand) I'm getting the (same?)
  dump on exiting the application:

[17336:1401483264:1227/132727.546838:ERROR:shared_memory_posix.cc(283)] Creating shared memory in /tmp/.org.chromium.Chromium.lUG2Oy failed: Too many open files
[17336:1490594560:1227/132727.548927:ERROR:nss_util.cc(712)] Error initializing NSS with a persistent database (sql:/home/rmx/.pki/nssdb): NSS error code: -8023
[17336:1490594560:1227/132727.549155:ERROR:nss_util.cc(201)] Error initializing NSS without a persistent database: NSS error code: -8023
[17336:1490594560:1227/132727.549181:FATAL:nss_util.cc(203)] nss_error=-8023, os_error=0
#0 0x000042d10153 <unknown>
#1 0x000042d21c1d <unknown>
#2 0x00004339ffa9 <unknown>
#3 0x0000432cdada <unknown>
#4 0x0000431b366b <unknown>
#5 0x00004318732a <unknown>
#6 0x0000424b0460 <unknown>
#7 0x0000424af411 <unknown>
#8 0x00004267264f <unknown>
#9 0x0000429a9c04 <unknown>
#10 0x000042d86a63 <unknown>
#11 0x000042d283cb <unknown>
#12 0x000042d2880c <unknown>
#13 0x000042d28cd3 <unknown>
#14 0x000042d2c669 <unknown>
#15 0x000042d280ce <unknown>
#16 0x000042d40ac4 <unknown>
#17 0x0000426b00ab <unknown>
#18 0x0000426b026d <unknown>
#19 0x000042d5d0f9 <unknown>
#20 0x000042d58a61 <unknown>

Abbruch
(zb3)(rmx) # 
(zb3)(rmx) # 
(zb3)(rmx) # [17337:1287618560:1227/132728.253676:ERROR:broker_posix.cc(41)] Invalid node channel message
Comment 10 Guido Falsi freebsd_committer 2018-12-27 14:49:46 UTC
(In reply to Michael Reifenberger from comment #9)
> (In reply to Guido Falsi from comment #5)
> Hi,
> I'm still not fully satisfied with the new version:
> 
> - I'm getting no popup for unlocking the keyfile followed by an dump:
>   -> Workaround: starting chrome first

Don't know what happened there, I'm not using a self signed certificate anymore so I can't see this.

I could try setting up a testing server but really have no time for that right now.

> 
> - On successful startup (if starting chrome beforehand) I'm getting the
> (same?)
>   dump on exiting the application:
> 
> [17336:1401483264:1227/132727.546838:ERROR:shared_memory_posix.cc(283)]
> Creating shared memory in /tmp/.org.chromium.Chromium.lUG2Oy failed: Too
> many open files

This error is a little suspect. Maybe you need to raise some limit or syscontrol due to the number of files you're synchronizing/opening?
Comment 11 Michael Reifenberger freebsd_committer 2019-02-07 21:51:38 UTC
(In reply to Guido Falsi from comment #10)
after the last round of OS/pkg updates nextcloudclient seens to run fine now